Subject: bug#4898: 23.1; vc-hg.el: doesn't work over TRAMP

From: [email-masked]
Date: Tue, 10 Nov 2009 01:14:05 -0800 (PST)

AFAICT, vc-hg currently just won't work over TRAMP.  I wish it did.
I think this is vc-hg's problem, because vc-rcs and (IIRC) vc-darcs
both work over TRAMP.

I'm using mercurial 1.3.1-1 and Emacs 23.1 on both hosts (local and
remote).  They are both running Debian Squeeze/Sid.

In GNU Emacs 23.1.1 (i486-pc-linux-gnu)
 of 2009-09-14 on raven, modified by Debian
configured using `configure  '--build=i486-linux-gnu' '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib' '--localstatedir=/var/lib' '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes' '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim' '--with-x=no' 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu' 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: C
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_AU.utf8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  eldoc-mode: t
  paredit-mode: t
  shell-dirtrack-mode: t
  diff-auto-refine-mode: t
  rcirc-track-minor-mode: t
  xterm-mouse-mode: t
  savehist-mode: t
  icomplete-mode: t
  partial-completion-mode: t
  show-paren-mode: t
  delete-selection-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t
  view-mode: t

Recent input:
O B ESC O B ESC O B ESC O B ESC O B ESC O B ESC O B 
ESC O B ESC O B RET y ESC O B ESC O B ESC O B C-s C-s 
ESC O B ESC O B C-x C-k ESC ! d p k g SPC - L SPC m 
e r c u r i a l - c o m m o n RET C-x ESC O C C-s e 
m a c s ESC O B ESC O B ESC O A ESC O A C-s C-s C-s 
C-s C-s ESC O A ESC O A ESC O A ESC [ 5 ~ ESC [ 5 ~ 
ESC [ 5 ~ ESC [ 5 ~ ESC [ 5 ~ ESC [ 6 ~ ESC [ 6 ~ C-x 
ESC O D ESC O A RET ESC < C-s b a k DEL c k e n d s 
ESC [ 1 ~ C-x C-k C-x C-f C-g ESC a C-x b C-s C-s C-r 
RET C-s h g ESC O B C-x d RET C-s - h g ESC O B ESC 
O A RET <switch-frame> ESC O A ESC O A ESC O A ESC 
O A ESC O A C-x C-s C-x C-c <switch-frame> ESC O B 
ESC O B C-x 1 ESC [ 6 ~ ESC [ 6 ~ ESC O B ESC O B ESC 
O A ESC O A ESC O A ESC O B ESC O B ESC [ 6 ~ ESC [ 
6 ~ ESC [ 6 ~ ESC [ 6 ~ ESC [ 6 ~ ESC x c a l c C-g 
ESC x r e p o r t SPC e m a c s RET b u g RET

Recent messages:
Mark set
Mark saved where search started
Quit
Mark saved where search started [2 times]
Wrote /tmp/tramp.1910EUS.gz
uncompressing vc-hg.el.gz...done
Note: file is write protected
Saving file /tmp/reportbug-mercurial-common-20091110-11966-eD6RLL...
Wrote /tmp/reportbug-mercurial-common-20091110-11966-eD6RLL
(No changes need to be saved)
Quit